- Update an external page
You can update an existing external page (if it was created via the API).
Intercom API version.
By default, it's equal to the version set in the app package.
The URL of the external page. This will be used by Fin to link end users to the page it based its answer on.
Whether the external page should be used to answer questions by Fin.
The unique identifier for the source of the external page which was given by Intercom. Every external page must be associated with a Content Import Source which represents the place it comes from and from which it inherits a default audience (configured in the UI). For a new source, make a POST request to the Content Import Source endpoint and an ID for the source will be returned in the response.
- The production API serverhttps://api.intercom.io/ai/external_pages/{id}
- The european API serverhttps://api.eu.intercom.io/ai/external_pages/{id}
- The australian API serverhttps://api.au.intercom.io/ai/external_pages/{id}
curl -i -X PUT \
'https://api.intercom.io/ai/external_pages/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.14' \
-d '{
"external_id": "5678",
"html": "<html><body><h1>Test</h1></body></html>",
"locale": "en",
"source_id": 47,
"title": "Test",
"url": "https://www.example.com"
}'successful
Always external_page
The unique identifier for the external page which is given by Intercom.
The URL of the external page. This will be used by Fin to link end users to the page it based its answer on.
Whether the external page should be used to answer questions by AI Agent.
Whether the external page should be used to answer questions by AI Copilot.
Deprecated. Use ai_agent_availability and ai_copilot_availability instead.
The unique identifier for the source of the external page which was given by Intercom. Every external page must be associated with a Content Import Source which represents the place it comes from and from which it inherits a default audience (configured in the UI). For a new source, make a POST request to the Content Import Source endpoint and an ID for the source will be returned in the response.
The identifier for the external page which was given by the source. Must be unique for the source.
The time when the external page was created.
The time when the external page was last updated.
{ "id": "24", "type": "external_page", "title": "Test", "html": "<html><body><h1>Test</h1></body></html>", "url": "https://www.example.com", "ai_agent_availability": true, "ai_copilot_availability": true, "fin_availability": true, "locale": "en", "source_id": 47, "external_id": "5678", "created_at": 1734537280, "updated_at": 1734537281, "last_ingested_at": 1734537281 }